Get Port Order Detail
curl --request POST \
--url https://api.voxo.co/v2/admin/number-porting/order-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orderId": 123
}'import requests
url = "https://api.voxo.co/v2/admin/number-porting/order-detail"
payload = { "orderId": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderId: 123})
};
fetch('https://api.voxo.co/v2/admin/number-porting/order-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": 123,
"orderStatus": "<string>",
"customerOrderReference": "<string>",
"createdDate": "<string>",
"createdUser": "<string>",
"desiredDueDate": "<string>",
"tnList": {
"tnItem": [
{
"tn": "<string>",
"tnStatus": "<string>",
"trunkGroup": "<string>",
"accountNum": "<string>",
"atn": "<string>",
"tnGroup": "<string>",
"lata": "<string>",
"rateCenter": "<string>",
"province": "<string>",
"authName": "<string>",
"authDate": "<string>",
"portDt": "<string>",
"tnNote": "<string>",
"portTime": "<string>",
"onDemandActivation": "<string>"
}
]
},
"desiredPortTime": "<string>",
"productName": "<string>",
"serviceOrderName": "<string>",
"resellerName": "<string>",
"orderNotes": "<unknown>",
"orderDocs": "<unknown>"
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Number Porting
Get Port Order Detail
Retrieve detailed information about a specific port order
POST
/
v2
/
admin
/
number-porting
/
order-detail
Get Port Order Detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Order ID
Response
Order detail
Order ID
Order status
Customer order reference
Created date
Created user
Desired due date
TN list
Show child attributes
Show child attributes
Desired port time
Product name
Service order name
Reseller name
Order notes
Order documents
Was this page helpful?
⌘I